function xbar_o = ExtentsCompute (static,projection,n_0,V,y) 

% -------------------------------------------------------------------------
% EMI Toolbox - ExtentsCompute.m
% -------------------------------------------------------------------------
% Description
%
%
%
% -------------------------------------------------------------------------
% Syntax
%
% I/O:	xbar_o = ExtentsCompute (static,projection,n_0,V,y) 
%
% INPUT
%   static      :   
%   projection	:   
%   n_0         :   
%   V           :   
%   y           :   
%   
% OUTPUT
%	xbar_o	:   
%   
% -------------------------------------------------------------------------
% Last modification: 2018-12-12
% -------------------------------------------------------------------------

% -------------------------------------------------------------------------
% Copyright 2018 Kris Villez
%
% This file is part of the EMI toolbox for efficient model identification. 
% 
% The EMI Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by the
% Free Software Foundation, either version 3 of the License, or (at your
% option) any later version. 
% 
% The EMI Toolbox is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General 
% Public License for more details.
% 
% You should have received a copy of the GNU General Public License along
% with the EMI Toolbox. If not, see <http://www.gnu.org/licenses/>.  
% -------------------------------------------------------------------------


% matrices
M_     =	static.M_           ;
Lbar_o	=	projection.Lbar_o	;

% known noise-free values of the initial measurements
y0      =	M_*n_0/V            ;

% compute extents
xbar_o  =	Lbar_o*(y-y0)       ;
