function  [static,projection] = ExtentsDefinition (static,V,options) 

% -------------------------------------------------------------------------
% EMI Toolbox - ExtentsDefinition.m
% -------------------------------------------------------------------------
% Description
%
%
%
% -------------------------------------------------------------------------
% Syntax
%
% I/O:	[static,projection] = ExtentsDefinition (static,V,options) 
%
% INPUT
%   static      :   
%   projection	:   
%   
% OUTPUT
%	static      :   
%   V           :   
%   options     :   
%   
% -------------------------------------------------------------------------
% Last modification: 2018-12-12
% -------------------------------------------------------------------------

% -------------------------------------------------------------------------
% Copyright 2018 Kris Villez
%
% This file is part of the EMI toolbox for efficient model identification. 
% 
% The EMI Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by the
% Free Software Foundation, either version 3 of the License, or (at your
% option) any later version. 
% 
% The EMI Toolbox is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General 
% Public License for more details.
% 
% You should have received a copy of the GNU General Public License along
% with the EMI Toolbox. If not, see <http://www.gnu.org/licenses/>.  
% -------------------------------------------------------------------------


% ------------------------------------------------------------------------
% Labeling
% ------------------------------------------------------------------------

if options.verbose, disp('EXTENTS - LABELING '), end
static          =	ExtentsLabeling (static,options)	;


% ------------------------------------------------------------------------
% Compute matrices necessary to compute extents and extent directions and
% concentration reconstruction from extents and extent directions:
% ------------------------------------------------------------------------

if ~( isa(static.M_,'sym') || isa(static.G_,'sym') )
    if options.verbose, disp('EXTENTS - PROJECTION MATRICES'), end
    projection	=	ExtentsDirections (static,V)        ;
else
    projection	=	[ ]                                 ;
end
