function projection	= ExtentsDirections (static,V) 

% -------------------------------------------------------------------------
% EMI Toolbox - ExtentsDirections.m
% -------------------------------------------------------------------------
% Description
%
%
%
% -------------------------------------------------------------------------
% Syntax
%
% I/O:	projection	= ExtentsDirections (static,V) 
%
% INPUT
%   static      :   
%   V           : 
%
% OUTPUT
%	projection	:   
%
% -------------------------------------------------------------------------
% Last modification: 2018-12-12
% -------------------------------------------------------------------------

% -------------------------------------------------------------------------
% Copyright 2018 Kris Villez
%
% This file is part of the EMI toolbox for efficient model identification. 
% 
% The EMI Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by the
% Free Software Foundation, either version 3 of the License, or (at your
% option) any later version. 
% 
% The EMI Toolbox is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General 
% Public License for more details.
% 
% You should have received a copy of the GNU General Public License along
% with the EMI Toolbox. If not, see <http://www.gnu.org/licenses/>.  
% -------------------------------------------------------------------------


% ------------------------------------------------------------------------
%	Get information from structure
% ------------------------------------------------------------------------

M_         =	static.M_                      ;
M_eps       =	static.M_eps                    ;
G_         =	static.G_                      ;
pivot       =	static.pivot                    ;
row_a       =	static.row_a                    ;
row_o       =	static.row_o                    ;

% ------------------------------------------------------------------------
%	Computation
% ------------------------------------------------------------------------

% Variance-covariance matrix of measurement errors
Sigma_eps	=	M_*(M_eps*M_eps')*M_'         ;

% Compute projection matrix
Gbar_o      =	G_(:,pivot([row_o ; row_a]))   ;

% Compute projection matrix P and expected variance-covariance matrix
if ~isa(Gbar_o,'sym')
    P                       =	V * (Gbar_o'*Sigma_eps^(-1)*Gbar_o)^(-1)*Gbar_o'*Sigma_eps^(-1) ;
    Sigmabar_o              =	V *((Gbar_o'*Sigma_eps^(-1)*Gbar_o)^(-1))'*V                    ;
    %Sigmabar_o              =	P*Sigma_eps*P'	 ;
    projection.Sigmabar_o	=	Sigmabar_o      ;
    projection.Lbar_o       =	P               ;
end
