function [fighan,figname]	=	Graph (model,options,scenario_name)

% -------------------------------------------------------------------------
% EMI Toolbox - Graph.m
% -------------------------------------------------------------------------
% Description
%
%
%
% -------------------------------------------------------------------------
% Syntax
%
% I/O:	[fighan,figname]	=	Graph (model,options,scenario_name)
%
% INPUT
%   model           :
%   options         :
%   scenario_name	:
%   
% OUTPUT
%	fighan          :
%   figname         :   
%
% -------------------------------------------------------------------------
% Last modification: 2018-12-12
% -------------------------------------------------------------------------

% -------------------------------------------------------------------------
% Copyright 2018 Kris Villez
%
% This file is part of the EMI toolbox for efficient model identification. 
% 
% The EMI Toolbox is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by the
% Free Software Foundation, either version 3 of the License, or (at your
% option) any later version. 
% 
% The EMI Toolbox is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General 
% Public License for more details.
% 
% You should have received a copy of the GNU General Public License along
% with the EMI Toolbox. If not, see <http://www.gnu.org/licenses/>.  
% -------------------------------------------------------------------------


% Preparation
figname	=	[   'Scenario'   scenario_name	'_graph'	]           ;
fighan	=	figure ('name',figname)                                 ;

axes ('Position',[.01 .01 .98 .98])

% Actual visualization of the graph
PlotCausalGraph (model.kinetic,model.static.index_bar_o,options)    ;

% Customization
set (gca,'Box','on','Visible','on')
set (gca,'Ytick',[],'Xtick',[],'Xlim',[-1.2 3.4],'Ylim',[-1.2 2.2])

if isfield(options,'inset')
    rectangle ('Position',options.inset,'Linestyle','-','EdgeColor','k','Linewidth',2) ;
end
h               =   gca     ;
h.XAxis.Visible	=	'off'	;
h.YAxis.Visible =	'off'	;


end

